## mingw-w64-grype-0.100.0-1.src.tar.zst

=== test/cli/test-fixtures/Makefile ===
# change these if you want CI to not use previous stored cache
CLI_CACHE_BUSTER := "e5cdfd8"

.PHONY: cache.fingerprint
cache.fingerprint:
	find image-* -type f -exec md5sum {} + | awk '{print $1}' | sort | md5sum | tee cache.fingerprint && echo "$(CLI_CACHE_BUSTER)" >> cache.fingerprint

=== PKGBUILD ===
# Maintainer: Christoph Reiter <reiter.christoph@gmail.com>

_realname=grype
pkgbase="mingw-w64-${_realname}"
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=0.100.0
pkgrel=1
pkgdesc="Vulnerability scanner for container images, filesystems, and SBOMs (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://github.com/anchore/grype"
msys2_repository_url="https://github.com/anchore/grype"
license=("spdx:Apache-2.0")
depends=()
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-go"
  "${MINGW_PACKAGE_PREFIX}-cc"
)
msys2_references=(
  'purl: pkg:golang/github.com/anchore/grype'
)
source=("${_realname}-${pkgver}.tar.gz::https://github.com/anchore/grype/archive/v${pkgver}.tar.gz")
noextract=("${_realname}-${pkgver}.tar.gz")
sha256sums=('695f9fe9b446a5cd7fbe85510279a8a7513bfe840beb96334c8540871bab7cbd')

prepare() {
  tar -xf "${_realname}-${pkgver}.tar.gz" || true
}

build() {
  cd "${_realname}-${pkgver}"

  export GOOS=windows
  export GOROOT=${MINGW_PREFIX}/lib/go
  export CGO_CPPFLAGS="${CPPFLAGS}"
  export CGO_CFLAGS="${CFLAGS}"
  export CGO_CXXFLAGS="${CXXFLAGS}"
  export CGO_LDFLAGS="${LDFLAGS}"
  export GO_LDFLAGS="-s -w"
  export GOFLAGS="-trimpath -mod=readonly -modcacherw -ldflags=-linkmode=external"
  case "${CARCH}" in
    x86_64)
      GOFLAGS+=" -buildmode=pie"
      ;;
  esac

  export GOFLAGS+=" -ldflags=-X=main.version=${pkgver}"

  go build -o bin/${_realname}.exe ./cmd/grype

  ./bin/${_realname}.exe completion bash > "${_realname}.bash"
  ./bin/${_realname}.exe completion fish > "${_realname}.fish"
  ./bin/${_realname}.exe completion zsh > "${_realname}.zsh"
}

package() {
  cd "${_realname}-${pkgver}"

  install -Dm755 "bin/${_realname}.exe" "${pkgdir}${MINGW_PREFIX}/bin/${_realname}.exe"

  install -Dm644 "${_realname}.bash" "${pkgdir}${MINGW_PREFIX}/share/bash-completion/completions/${_realname}"
  install -Dm644 "${_realname}.fish" "${pkgdir}${MINGW_PREFIX}/share/fish/vendor_completions.d/${_realname}.fish"
  install -Dm644 "${_realname}.zsh" "${pkgdir}${MINGW_PREFIX}/share/zsh/site-functions/_${_realname}"
}
